#ifndef __IMAGEVIEW_H__
#define __IMAGEVIEW_H__

#include <glib.h>
#include <gtk/gtkwidget.h>

typedef struct _ImageView	ImageView;

#include "messageview.h"
#include "procmime.h"

struct _ImageView
{
	GtkWidget *scrolledwin;
	GtkWidget *image;

	MessageView *messageview;
};

ImageView *imageview_create	(void);
void imageview_init		(ImageView	*imageview);
void imageview_show_image	(ImageView	*imageview,
				 MimeInfo	*mimeinfo,
				 const gchar	*file);

#endif /* __IMAGEVIEW_H__ */
